FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005252114 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005252114 
ENV __doozer=merge OS_GIT_COMMIT=8f2182e OS_GIT_VERSION=4.4.0-202005252114-8f2182e SOURCE_DATE_EPOCH=1578471422 SOURCE_GIT_COMMIT=8f2182e7a848b65e20b2b04d1ea0188274d4a9a6 SOURCE_GIT_TAG=8f2182e SOURCE_GIT_URL=https://github.com/openshift/k8s-prometheus-adapter 

COPY . /go/src/github.com/directxman12/k8s-prometheus-adapter

WORKDIR /go/src/github.com/directxman12/k8s-prometheus-adapter
ENV GOFLAGS="-mod=vendor"
RUN make
RUN mv /go/src/github.com/directxman12/k8s-prometheus-adapter/_output/$(go env GOARCH)/adapter /usr/bin/cm-adapter


FROM openshift/ose-base:v4.4.0.20200525.211442
ENV __doozer=update BUILD_RELEASE=202005252114 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005252114 
ENV __doozer=merge OS_GIT_COMMIT=8f2182e OS_GIT_VERSION=4.4.0-202005252114-8f2182e SOURCE_DATE_EPOCH=1578471422 SOURCE_GIT_COMMIT=8f2182e7a848b65e20b2b04d1ea0188274d4a9a6 SOURCE_GIT_TAG=8f2182e SOURCE_GIT_URL=https://github.com/openshift/k8s-prometheus-adapter 

COPY --from=builder /usr/bin/cm-adapter /usr/bin/cm-adapter
    

USER 1001

ENTRYPOINT ["/usr/bin/cm-adapter"]

LABEL \
        io.k8s.display-name="OpenShift Prometheus Custom Metrics Adapter" \
        io.k8s.description="This is a component of OpenShift Container Platform that provides the Kubernetes custom metrics API based on Prometheus metrics" \
        io.openshift.tags="openshift" \
        maintainer="Solly Ross <sross@redhat.com>" \
        name="openshift/ose-k8s-prometheus-adapter" \
        com.redhat.component="ose-prometheus-adapter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        version="v4.4.0" \
        release="202005252114" \
        io.openshift.build.commit.id="8f2182e7a848b65e20b2b04d1ea0188274d4a9a6" \
        io.openshift.build.source-location="https://github.com/openshift/k8s-prometheus-adapter" \
        io.openshift.build.commit.url="https://github.com/openshift/k8s-prometheus-adapter/commit/8f2182e7a848b65e20b2b04d1ea0188274d4a9a6"

